//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

PrecacheSound("vo/announcer_failure.mp3");
PrecacheSound("vo/announcer_success.mp3");

death_penalty <- 30;

if (API_GetBool("is_attack_defend"))
    OnCustomEvent("vip_death", 0, function(player, params)
    {
        local attacker = GetPlayerFromParams(params, "attacker");
        if (attacker && attacker != player && !IsRoundSetup())
        {
            /*local timeRemaining = GetPropFloat(team_round_timer, "m_flTimerEndTime") - Time() - 5;
            if (timeRemaining > 10)
                EntFireByHandle(team_round_timer, "AddTime", "-" + min(timeRemaining, death_penalty), 0, null, null);*/
            ClientPrint(null, Constants.EHudNotify.HUD_PRINTTALK, "\x07FFCC22VIP died!");
            foreach(otherPlayer in GetAllClients())
            {
                EmitSoundEx({
                    sound_name = GetFakeTeam(player) == GetFakeTeam(otherPlayer) ? "vo/announcer_failure.mp3" : "vo/announcer_success.mp3",
                    filter_type = Constants.EScriptRecipientFilter.RECIPIENT_FILTER_SINGLE_PLAYER
                    flags =  1,
                    channel = 7
                    entity = otherPlayer,
                    speaker_entity = otherPlayer
                });
                EmitSoundEx({
                    sound_name = GetFakeTeam(player) == GetFakeTeam(otherPlayer) ? "MVM.PlayerDied" : "MVM.MoneyPickup",
                    filter_type = Constants.EScriptRecipientFilter.RECIPIENT_FILTER_SINGLE_PLAYER
                    flags =  1,
                    volume = 0.3,
                    channel = 0
                    entity = otherPlayer,
                    speaker_entity = otherPlayer
                });
            }
        }
    });
